import arcpy
import arcpy.mapping as mp
# arcpy.env.workspace = "S:/Ideiglenes/bevprog/adatok" # én inkább mindent átmásoltam ide

dokumentum = mp.MapDocument("current") # csak ArcMapen belül működik, amúgy hibát dob
dokumentum = mp.MapDocument(arcpy.env.workspace + "/minta.mxd")
type(dokumentum) # MapDocument típusú

dokumentum.saveACopy(arcpy.env.workspace + "/masolat.mxd")
dokumentum.saveACopy(arcpy.env.workspace + "/masolat.mxd") # hibát dob, mert már létezik a fájl
dokumentum2 = mp.MapDocument(arcpy.env.workspace + "/masolat.mxd")
dokumentum2.title # u'Mintadokumentum'
dokumentum2.title = "Jobb cim" 
dokumentum2.title # u'Jobb cim'
dokumentum2.author # u'Bede-Fazekas \xc1kos'
dokumentum2.author = "Gipsz Jakab"
print(dokumentum2.dateSaved) # 2021-11-18 17:30:04
dokumentum2.save() # menti a módosításokat (felülírja a meglévő fájlt) 

retegek = mp.ListLayers(dokumentum2)
type(retegek) # lista
len(retegek) # 5 réteget tartalmaz a dokumentum
type(retegek[0]) # Layer típusú objektum

for reteg in retegek: 
    print("A(z) " + reteg.dataSource + " adatforrast megjelenito " + reteg.name + " nevu reteg:")
    if (reteg.isBroken):
        print("\tnem letezo fajlra mutat (torott link)")
    else:
        print("\ttokeletes.")
print(retegek[0].isFeatureLayer) # igaz
print(retegek[0].isRasterLayer) # hamis
print(retegek[0].visible) # igaz
retegek[3].visible = False # elrejti a 4. réteget
dokumentum2.save() # menti a módosításokat

megjelenitesi_ablak = mp.ListDataFrames(dokumentum2)[0] # lekéri az első (és egyetlen) ablakot
reteg_kiterjedese = retegek[0].getExtent() # lekéri az első réteg befoglaló dobozát
megjelenitesi_ablak.extent = reteg_kiterjedese # a réteghez igazítja az ablakot

mp.ExportToPDF(map_document = dokumentum2, out_pdf = "exportalt.pdf")
mp.ExportToJPEG(map_document = dokumentum2, out_jpeg = "exportalt.jpg")
mp.ExportToGIF(map_document = dokumentum2, out_gif = "exportalt.gif")
